#!/usr/bin/env perl

use strict;
use warnings;

open LIST, 'tealist' or die "No tealist\n";
open WAG, '>teaboxes-wagons' or die "Can not output wagons\n";
open TRAIN, '>teaboxes-train' or die "Can not output train\n";
print TRAIN "[random-teabox]\n *(";
my $started = 0;
my $num = 0;
foreach( <LIST> ) {
	chomp;
	next unless( my( $boxcolor, $drawcolor, $teaname ) = /^\s*(\S+)\s+(\S+)\s+(.+)$/ );#Skip garbage
	system( "convert", "-size", "100x100", "xc:transparent", "-clip-mask", "img/teabox-mask.png", "-fill", $boxcolor, "-stroke", $boxcolor, "-draw", "rectangle 0,0 100,100", "-pointsize", "16", "-stroke", $drawcolor, "-fill", $drawcolor, "-gravity", "Center", "-draw", "text 0,0 '$teaname'", "-channel", "RGBA", "img/teabox-$num.png" );#Gen the image
	print WAG ">> teabox-$num\n! width = 220\n! height = 105\n%\n*teabox-$num.png\n>x = 60\n>y = -18\n>mirror = false\n@ cargo\n";
	if( $started ) {
		print TRAIN '|';
	} else {
		$started = 1;
	}
	print TRAIN "teabox-$num";
	$num ++;
}
print TRAIN ")\n";
close TRAIN;
close WAG;
close LIST;
